.backdrop
  width: 100vw
  height: 100vh
  position: fixed
  z-index: 110
  left: 0
  top: 0
  background: rgba(0,0,0,0.5)
  &.with-modal
    overflow: auto
    box-sizing: border-box

.modal-helper
  display: flex
  align-items: center
  padding: 30px 0
  height: auto
  width: 464px
  margin:  0 auto
  min-height: 100vh
  &.tiny
    width: 360px
  &.big
    width: 874px

.modal
  position: relative
  box-shadow: -8px 12px 18px 0 rgba(25,42,70,0.13)
  background-color: #FFF
  z-index: 110
  box-sizing: border-box
  border-radius: 11px
  width: 464px
  &.no-header
    padding-top: 45px
    .modal-close
      top: 10px
      right: 10px
  &.tiny
    padding: 26px 32px 45px
    width: 360px
  &.big
    width: 874px
    box-shadow: -8px 12px 18px 0 rgba(25,42,70,0.13)
    box-sizing: border-box
    background: #FFF
    padding: 55px 82px 48px
  &-header
    height: 90px
    display: flex
    justify-content: center
    align-items: center
    border-bottom: 2px solid #E2E7EE
  &-title
    font-family: $sourse-sans-prop-font
    color: $page-title
    font-size: 21px
    line-height: 27px
  &-title-big
    color: $page-title
    font-size: 32px
    font-weight: 600
    line-height: 44px
  &-body
    padding: 20px 82px 40px
    &.big-padding
      padding: 50px 87px 60px
      .date-picker
        input
          padding: 10px 18px 10px 35px

    .auth-errors ul
      margin: 0 auto
  &-close
    width: 36px
    height: 36px
    border-radius: 50%
    background-color: $main-background
    position: absolute
    top: 31px
    right: 15px
    transform: rotate(45deg)
    cursor: pointer
    &:before, &:after
      position: absolute
      border-radius: 2px
      background-color: $font-online-sign
      top: 50%
      left: 50%
      transform: translateX(-50%) translateY(-50%)
      content: " "
    &:before
      height: 22px
      width: 2px
    &:after
      width: 22px
      height: 2px
  &-row
    margin-top: 25px
    &:first-of-type
      margin-top: 0
    &.button
      margin-top: 47px
  &-label
    color: $head-link
    font-size: 15px
    letter-spacing: 0.29px
    line-height: 23px
    margin-bottom: 10px





  &-sure
    max-width: 464px
    &-text
      color: $button-dark-gray-color
      font-size: 16px
      letter-spacing: 0.29px
      line-height: 23px
      text-align: center
